#! /bin/bash

# declaraties van variabelen en funkties
# rsync synchronisatie tool use -n tot dry run

#selectie van de directorys--------------------------------------------
selectie(){
echo "select source directory"
sdir=$(zenity --file-selection --directory --title="source directory")
echo "sourcedir= $sdir"
echo "select destination directory"
ddir=$(zenity --file-selection --directory --title="destination directory" )
echo "destination directory= $ddir"
backuptool
}
#--exit program----------------------------------------------------
program_exit(){
cd "/home/$USER"
echo "--------------------------"
echo "program will exit"
$SHELL
exit
}
#----do the backup------------------------------------------------------
backuptool(){
read -p "do you wish to backup (y/n)  " keuze
echo $keuze
if test $keuze = "y" ; then
echo "backup started"
#optie u=skip files that ar newer on hte receiver
#--verbose, -v            increase verbosity
#--links, -l              copy symlinks as symlinks
#--times, -t              preserve modification times
#-D                       same as --devices --specials
#--recursive, -r          recurse into directories
#--dry-run, -n            perform a trial run with no changes made
#--delete                 delete extraneous files from dest dirs
#--force                  force deletion of dirs even if not empty
#--human-readable, -h     output numbers in a human-readable format
#--progress               show progress during transfer
#--perms, -p              preserve permissions
#--executability, -E      preserve executability
# use --ignore errors for samba shares
rsync -rlvhtD --delete --force --progress --ignore-errors "$sdir" "$ddir"
else
vraagexit
fi
vraagexit
}
#----exit question--------------------------------------------------------------
vraagexit(){
read -p "do you wish to continue (y/n)  " keuze2
echo $keuze2
if test $keuze2 = "y" ; then
infoform
else
program_exit
fi
}
#----info to backup-------------------------------------------------------------
infoform(){
clear
echo "------------------------------------------------"
echo "data synchronisation backup tool"
read -p "do you wish to backup files and folders (y/n)  " keuze3
echo $keuze3
if test $keuze3 = "y" ; then
selectie
else
program_exit
fi
}
#---program starts from here------------------------------------------------------
clear
echo "------------------------------------------------"
infoform
vraagexit
#----------------------------------------------------------------------------
$SHELL



